hive-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From chandra kant <chandralakshmikan...@gmail.com>
Subject java.lang.IncompatibleClassChangeError in hive
Date Tue, 06 May 2014 03:33:41 GMT
Hi,
When running bin/hive , i get the following error :-
Exception in thread "main" java.lang.IncompatibleClassChangeError: Found
interface jline.Terminal, but class was expected
 at jline.ConsoleReader.<init>(ConsoleReader.java:191)
at jline.ConsoleReader.<init>(ConsoleReader.java:186)
 at jline.ConsoleReader.<init>(ConsoleReader.java:174)
at org.apache.hadoop.hive.cli.CliDriver.run(CliDriver.java:719)
 at org.apache.hadoop.hive.cli.CliDriver.main(CliDriver.java:614)
at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
 at
sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)
at
sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
 at java.lang.reflect.Method.invoke(Method.java:597)
at org.apache.hadoop.util.RunJar.main(RunJar.java:160)

I think this comes when there is version mismatching between hadoop version
and hive version. In my case it is - hadoop-1.2.1 and hive-0.11.0 , which
were working perfectly fine till yesterday. And yes, I unsuccessfully tried
to run hadoop-2 on my system and later reverted back to hadoop-1. And , it
occurred  ...

Any help in debugging..?

--
Chandra

Mime
View raw message